com.mapinfo.midev.language.filter

## Class LogicalFilterCapability

- java.lang.Object
- - com.mapinfo.midev.language.filter.LogicalFilterCapability

All Implemented Interfaces:
  IFilterCapability

    public final class LogicalFilterCapability
    extends Object
    implements IFilterCapability

Used to indicate that the `LogicalFilter` and which `LogicalOperators` are supported.

See Also:
  `FilterLanguage`, `FilterCapabilities`, `LogicalFilter`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static LogicalFilterCapability` `build(LogicalOperator[] operators)` Returns a LogicalFilterCapability that indicates that it supports the specified LogicalOperators.
`boolean` `equals(Object o)`
`Set` `getCapabilities()` Returns the `LogicalOperators` supported.
`int` `hashCode()`
`boolean` `isSupported(IFilterCapability desiredCapability)` Returns `true` if the specified desired `IFilterCapability` is supported by this `IFilterCapability`; `false` if not.

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getCapabilities

    public Set getCapabilities()

Returns the `LogicalOperators` supported.

Returns:
  the `LogicalOperators` supported.

#### isSupported

    public boolean isSupported(IFilterCapability desiredCapability)

Description copied from interface: `IFilterCapability`
Returns `true` if the specified desired `IFilterCapability` is supported by this `IFilterCapability`; `false` if not.

Specified by:
  `isSupported` in interface `IFilterCapability`
Parameters:
  `desiredCapability` - the desired `IFilterCapability` to check support of.
Returns:
  `true` if the specified desired `IFilterCapability` is supported by this `IFilterCapability`; `false` if not.

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### build

    public static LogicalFilterCapability build(LogicalOperator[] operators)

Returns a LogicalFilterCapability that indicates that it supports the specified LogicalOperators.

Parameters:
  `operators` - the supported LogicalOperators
Returns:
  a LogicalFilterCapability that indicates that it supports the specified LogicalOperators.